package com.rongwei.bscommon.sys.fegin;

import com.rongwei.rwcommon.base.R;
import com.rongwei.rwcommonentity.commonservers.vo.SysNotifyAnnounceVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * Hysitx class
 *
 * @author XH
 * @date 2023/05/30
 */
@Component
public class Hysitx implements  CommonFeginClient{
    private final Logger log = LoggerFactory.getLogger(this.getClass().getName());
    @Override
    public void sendNotify(SysNotifyAnnounceVo sysNotifyAnnounceVo) {
        log.error("发送消息通知失败!通知内容为：{}",sysNotifyAnnounceVo);
    }

    @Override
    public R upload(MultipartFile file) {
        log.error("文件初始化-文件上传失败!");
        return R.error("文件初始化-文件上传失败");
    }
}
